LibreOffice: XLinkFactory Interface Reference

LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XLinkFactory Interface Referencepublished

allows to create and initialize a new link of specified type. More...

`import"XLinkFactory.idl";`

Inheritance diagram for XLinkFactory:

## Public Member Functions
::com::sun::star::uno::XInterface | createInstanceLinkUserInit ([in] sequence< byte > aClassID, [in] string ClassName, [in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new link and transport parameters for persistent initialization. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to create and initialize a new link of specified type.

## Member Function Documentation

## ◆ createInstanceLinkUserInit()

::com::sun::star::uno::XInterface createInstanceLinkUserInit | ( | [in] sequence< byte > | aClassID,
|  | [in] string | ClassName,
|  | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntryName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aArgs,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

creates a new link and transport parameters for persistent initialization.

This method can be used to have a full control over persistence initialization of a link.

Parameters

  aClassID | the class id of the new object
  ClassName | the class name of the new object
  xStorage | a parent storage the entry should be created in
  sEntryName | a name for the entry
  aArgs | com::sun::star::document::MediaDescriptor that contains source for the link
  aObjectArgs | optional parameters for the object persistence initialization see also com::sun::star::embed::EmbeddedObjectDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XLinkFactory.idl